# NOTE Please do not remove P1 it is really necessary to make ds9 build successfull
# Also if you update this package you have to rebuild ds9 and change the version
# in ds9configure.patch: "TEA_ADD_LIBS([-L$TCL_BIN_DIR/tcltls%%{tcltls_version} -ltcltls])"

%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

%define         tlsdir %{name}%{version}

Summary: 	SSL2, SSL3, and TLS1 encryption extensions for TCL
Name: 		tcltls
Version: 	1.7.22
Release: 	%mkrel 4
License: 	BSD
Group: 		System/Libraries
URL: 		https://core.tcl.tk/tcltls/index
Source0:	https://core.tcl.tk/tcltls/uv/tcltls-%{version}.tar.gz
Patch0:         tcltls-1.7.21-cipher-tests.patch
Patch1:         tcltls-1.7.21-hostname-tests.patch
#(eatdirt) create a library named libtcltls.so instead of tcltls.so to
#allow linkage to other apps (ds9). A symlink from libtcltls.so to
#tcltls.so is added to ensure backward compatibility
Patch50:	tcltls-1.7.17-libname.patch

BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(openssl) >= 1.1

Requires:	tcl >= 8.6
Requires:	openssl
Provides:	tcl-tls = %{version}-%{release}

%description 
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language.

%package	devel
Summary:	SSL2, SSL3, and TLS1 encryption extensions for TCL
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	tcl-tls-devel = %{version}-%{release}

%description	devel
Provides SSL2, SSL3, and TLS1 socket encryption functionality
to the TCL interpreted language. Development headers.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
echo "LDFLAGS=$LDFLAGS"
export STRIP=: OBJCOPY=:
%configure \
    --disable-rpath \
    --with-ssl-dir=%{_prefix}

%make_build

%check
make test

%install
%make_install libdir=%{tcl_sitearch} includedir=%{_includedir}
install -D -m 644 tls.h %{buildroot}%{_includedir}/tls.h
pushd %{buildroot}%{tcl_sitearch}/%{name}%{version}
ln -s lib%{name}.so %{name}.so
popd
%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{tcl_sitearch}/%{tlsdir} > %{buildroot}%{_sysconfdir}/ld.so.conf.d/tcltls.conf


%files
%doc ChangeLog README.txt license.terms tls.htm
%{tcl_sitearch}/tcltls%{version}
%{_sysconfdir}/ld.so.conf.d/tcltls.conf

%files devel
%{_includedir}/tls.h


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.7.22-4.mga10
+ Revision: 2196052
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.7.22-3.mga9
+ Revision: 1796623
- Mageia 9 Mass Rebuild
+ wally <wally>
- add test fix patches via Fedora

* Sat Oct 02 2021 wally <wally> 1.7.22-2.mga9
+ Revision: 1747930
- rebuild for openssl 3.0.0

* Fri Mar 12 2021 daviddavid <daviddavid> 1.7.22-1.mga9
+ Revision: 1701720
- new version: 1.7.22

* Sat May 16 2020 zezinho <zezinho> 1.7.21-1.mga8
+ Revision: 1584686
- new version 1.7.21
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Tue Feb 18 2020 umeabot <umeabot> 1.7.20-2.mga8
+ Revision: 1538432
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 21 2019 zezinho <zezinho> 1.7.20-1.mga8
+ Revision: 1462030
- new version 1.7.20

* Wed Oct 16 2019 daviddavid <daviddavid> 1.7.19-2.mga8
+ Revision: 1454167
- re-enable debug package as it should

* Wed Oct 16 2019 zezinho <zezinho> 1.7.19-1.mga8
+ Revision: 1454080
- new version 1.7.19

* Sat Jul 13 2019 daviddavid <daviddavid> 1.7.18-1.mga8
+ Revision: 1420854
- new version: 1.7.18
- rediff libname patch

* Mon Apr 15 2019 daviddavid <daviddavid> 1.7.17-2.mga7
+ Revision: 1390643
- add back eatdirt's libtcltls.so patch to allow for dynamical linkage by ds9
  and add a packager NOTE about this really needed patch

* Sun Apr 14 2019 zezinho <zezinho> 1.7.17-1.mga7
+ Revision: 1389985
- new version 1.7.17 - remove libtls.so patch and reverse the symbolic link to it

* Sun Sep 23 2018 umeabot <umeabot> 1.7.16-4.mga7
+ Revision: 1301339
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 eatdirt <eatdirt> 1.7.16-3.mga7
+ Revision: 1234944
- Allow for dynamical linkage by ds9

* Fri Apr 27 2018 zezinho <zezinho> 1.7.16-1.mga7
+ Revision: 1222863
- new version 1.7.16

* Wed Sep 27 2017 zezinho <zezinho> 1.7.13-1.mga7
+ Revision: 1160187
- new version

* Wed Aug 30 2017 guillomovitch <guillomovitch> 1.7.12-1.mga7
+ Revision: 1148589
- new version 1.7.12

* Thu Mar 03 2016 umeabot <umeabot> 1.6.7-3.mga6
+ Revision: 984462
- Rebuild for openssl
- Mageia 6 Mass Rebuild

* Fri Nov 27 2015 daviddavid <daviddavid> 1.6.7-1.mga6
+ Revision: 906398
- new version: 1.6.7
- rebuild for new tcl 8.6.4
- requires tcl 8.6
- remove no more needed patches 1 and 2

* Wed Oct 15 2014 umeabot <umeabot> 1.6-8.mga5
+ Revision: 742949
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-7.mga5
+ Revision: 689746
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6-6.mga4
+ Revision: 519500
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.6-5.mga3
+ Revision: 384161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 1.6-4.mga3
+ Revision: 345425
- do not promote empty flags

* Sun Dec 04 2011 wally <wally> 1.6-4.mga2
+ Revision: 176051
- rebuild for new tcl
- add some generic provides
- clean .spec a bit

* Sun Jan 23 2011 pterjan <pterjan> 1.6-3.mga1
+ Revision: 35277
- imported package tcltls


* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1.6-3mdv2010.1
+ Revision: 533637
- rebuild

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 1.6-2mdv2010.1
+ Revision: 509185
- clean spec
- rediff openssl patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.6-1mdv2009.1
+ Revision: 310130
- move to new location per policy
- sync patches with fedora
- dump the whole libification, tcl modules are not shared libraries
- new release 1.6

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-6mdv2009.0
+ Revision: 261432
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-5mdv2009.0
+ Revision: 254233
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.5.0-3mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 12 2007 Adam Williamson <awilliamson@mandriva.org> 1.5.0-3mdv2008.0
+ Revision: 38329
- correct pkgIndex.tcl (fixes amsn with TCL 8.5)


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2mdv2007.0
+ Revision: 113894
- Import tcltls

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-2mdv2007.1
- rebuild

* Fri Dec 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-1mdk
- initial Mandriva package
- added P0 from debian

* Sat Nov 26 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 
- First release

